### Hierarchy

- TabHeader

## Index

### Properties

- id
- isSelected
- name
- onSelect

### Methods

- getChild
- onClick
- render
- select
- unselect

## Properties

### id

id: string = Util.getUUID()

- Defined in tabs/tab-header/tab-header.tsx:14

### isSelected

isSelected: boolean = false

- Defined in tabs/tab-header/tab-header.tsx:23

### name

name: string

- Defined in tabs/tab-header/tab-header.tsx:17

### onSelect

onSelect: EventEmitter

- Defined in tabs/tab-header/tab-header.tsx:20

## Methods

### getChild

- getChild(): object

- - Defined in tabs/tab-header/tab-header.tsx:26

  #### Returns object

### onClick

- onClick(): void

- - Defined in tabs/tab-header/tab-header.tsx:43

  #### Returns void

### render

- render(): any[]

- - Defined in tabs/tab-header/tab-header.tsx:47

  #### Returns any[]

### select

- select(): void

- - Defined in tabs/tab-header/tab-header.tsx:39

  #### Returns void

### unselect

- unselect(): void

- - Defined in tabs/tab-header/tab-header.tsx:35

  #### Returns void